package com.diagbot.facade;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.service.impl.EvaluationServiceImpl;
import com.diagbot.vo.EvaluationdiseaseNameVO;

@Component
public class EvaluationFacade extends EvaluationServiceImpl {
	
	@Autowired
	PushFacade pushFacade;
	/**
	 * 获取管理与评估模板接口
	 *
	 * @param evaluationDiseaseIdVO
	 * @return
	 */
	public List<EvaluationDTO> getEvaluationModule(EvaluationdiseaseNameVO evaluationdiseaseNameVO) {

		List<EvaluationDTO> evaluationList = getEvaluationModule(evaluationdiseaseNameVO);
		
		Map<String, JSONObject> jsonobject = pushFacade.getManagementEvaluationContent(evaluationdiseaseNameVO);
		for (String key : jsonobject.keySet()) {
			for (EvaluationDTO evaluadata : evaluationList) {
				if (key.equals(evaluadata.getRegionName())) {
					evaluadata.setData(jsonobject.get(key));

				}
			}

		}
		return evaluationList;
	}
/*
	*//**
	 * 获取管理与评估模板接口
	 *
	 * @param diseaseId
	 * @param contentMap
	 * @return
	 */
	public List<EvaluationDTO> getEvaluationModule(Long diseaseId, Map<String, JSONObject> contentMap) {
		EvaluationdiseaseNameVO evaluationdiseaseNameVO =new EvaluationdiseaseNameVO();
		evaluationdiseaseNameVO.setDiseaseName("糖尿病");
		List<EvaluationDTO> evaluationList = getEvaluationModule(evaluationdiseaseNameVO);
		//List<EvaluationDTO> datas= evaluationList.data;
		// 过滤
		//List<EvaluationDTO> data = BeanUtil.listCopyTo(datas, EvaluationDTO.class);
		if (contentMap != null && contentMap.size() > 0) {
			for (String key : contentMap.keySet()) {
				for (EvaluationDTO evaluadata : evaluationList) {
					if (key.equals(evaluadata.getRegionName())) {
						evaluadata.setData(contentMap.get(key));
					}
				}
			}
		}
		return evaluationList;
	}
}
